<?php
$tdata__________ = array();
$tdata__________[".searchableFields"] = array();
$tdata__________[".ShortName"] = "__________";
$tdata__________[".OwnerID"] = "";
$tdata__________[".OriginalTable"] = "statistics_all";


$tdata__________[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata__________[".originalPagesByType"] = $tdata__________[".pagesByType"];
$tdata__________[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata__________[".originalPages"] = $tdata__________[".pages"];
$tdata__________[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata__________[".originalDefaultPages"] = $tdata__________[".defaultPages"];

//	field labels
$fieldLabels__________ = array();
$fieldToolTips__________ = array();
$pageTitles__________ = array();
$placeHolders__________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels__________["English"] = array();
	$fieldToolTips__________["English"] = array();
	$placeHolders__________["English"] = array();
	$pageTitles__________["English"] = array();
	$fieldLabels__________["English"]["CountOfnumPers"] = "Count Ofnum Pers";
	$fieldToolTips__________["English"]["CountOfnumPers"] = "";
	$placeHolders__________["English"]["CountOfnumPers"] = "";
	$fieldLabels__________["English"]["total"] = "Total";
	$fieldToolTips__________["English"]["total"] = "";
	$placeHolders__________["English"]["total"] = "";
	$fieldLabels__________["English"]["percentage"] = "Percentage";
	$fieldToolTips__________["English"]["percentage"] = "";
	$placeHolders__________["English"]["percentage"] = "";
	$fieldLabels__________["English"]["ma3"] = "Ma3";
	$fieldToolTips__________["English"]["ma3"] = "";
	$placeHolders__________["English"]["ma3"] = "";
	$fieldLabels__________["English"]["dod"] = "Dod";
	$fieldToolTips__________["English"]["dod"] = "";
	$placeHolders__________["English"]["dod"] = "";
	$fieldLabels__________["English"]["tachkil"] = "Tachkil";
	$fieldToolTips__________["English"]["tachkil"] = "";
	$placeHolders__________["English"]["tachkil"] = "";
	$fieldLabels__________["English"]["majhoul"] = "Majhoul";
	$fieldToolTips__________["English"]["majhoul"] = "";
	$placeHolders__________["English"]["majhoul"] = "";
	if (count($fieldToolTips__________["English"]))
		$tdata__________[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels__________["Arabic"] = array();
	$fieldToolTips__________["Arabic"] = array();
	$placeHolders__________["Arabic"] = array();
	$pageTitles__________["Arabic"] = array();
	$fieldLabels__________["Arabic"]["CountOfnumPers"] = "المترعين";
	$fieldToolTips__________["Arabic"]["CountOfnumPers"] = "";
	$placeHolders__________["Arabic"]["CountOfnumPers"] = "";
	$fieldLabels__________["Arabic"]["total"] = "المجموع";
	$fieldToolTips__________["Arabic"]["total"] = "";
	$placeHolders__________["Arabic"]["total"] = "";
	$fieldLabels__________["Arabic"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips__________["Arabic"]["percentage"] = "";
	$placeHolders__________["Arabic"]["percentage"] = "";
	$fieldLabels__________["Arabic"]["ma3"] = "مع";
	$fieldToolTips__________["Arabic"]["ma3"] = "";
	$placeHolders__________["Arabic"]["ma3"] = "";
	$fieldLabels__________["Arabic"]["dod"] = "ضد";
	$fieldToolTips__________["Arabic"]["dod"] = "";
	$placeHolders__________["Arabic"]["dod"] = "";
	$fieldLabels__________["Arabic"]["tachkil"] = "تشكيل";
	$fieldToolTips__________["Arabic"]["tachkil"] = "";
	$placeHolders__________["Arabic"]["tachkil"] = "";
	$fieldLabels__________["Arabic"]["majhoul"] = "مجهول";
	$fieldToolTips__________["Arabic"]["majhoul"] = "";
	$placeHolders__________["Arabic"]["majhoul"] = "";
	if (count($fieldToolTips__________["Arabic"]))
		$tdata__________[".isUseToolTips"] = true;
}


	$tdata__________[".NCSearch"] = true;

	$tdata__________[".ChartRefreshTime"] = 0;


$tdata__________[".shortTableName"] = "__________";
$tdata__________[".nSecOptions"] = 0;

$tdata__________[".mainTableOwnerID"] = "";
$tdata__________[".entityType"] = 3;
$tdata__________[".connId"] = "electiondb_at_ssl_localhost";


$tdata__________[".strOriginalTableName"] = "statistics_all";

	



$tdata__________[".showAddInPopup"] = false;

$tdata__________[".showEditInPopup"] = false;

$tdata__________[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata__________[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata__________[".listAjax"] = false;
//	temporary
$tdata__________[".listAjax"] = false;

	$tdata__________[".audit"] = false;

	$tdata__________[".locking"] = false;


$pages = $tdata__________[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata__________[".edit"] = true;
	$tdata__________[".afterEditAction"] = 1;
	$tdata__________[".closePopupAfterEdit"] = 1;
	$tdata__________[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata__________[".add"] = true;
$tdata__________[".afterAddAction"] = 1;
$tdata__________[".closePopupAfterAdd"] = 1;
$tdata__________[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata__________[".list"] = true;
}



$tdata__________[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata__________[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata__________[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata__________[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata__________[".printFriendly"] = true;
}



$tdata__________[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata__________[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata__________[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata__________[".isUseAjaxSuggest"] = true;






$tdata__________[".ajaxCodeSnippetAdded"] = false;

$tdata__________[".buttonsAdded"] = false;

$tdata__________[".addPageEvents"] = false;

// use timepicker for search panel
$tdata__________[".isUseTimeForSearch"] = false;


$tdata__________[".badgeColor"] = "EDCA00";


$tdata__________[".allSearchFields"] = array();
$tdata__________[".filterFields"] = array();
$tdata__________[".requiredSearchFields"] = array();

$tdata__________[".googleLikeFields"] = array();
$tdata__________[".googleLikeFields"][] = "CountOfnumPers";
$tdata__________[".googleLikeFields"][] = "total";
$tdata__________[".googleLikeFields"][] = "percentage";
$tdata__________[".googleLikeFields"][] = "ma3";
$tdata__________[".googleLikeFields"][] = "dod";
$tdata__________[".googleLikeFields"][] = "tachkil";
$tdata__________[".googleLikeFields"][] = "majhoul";



$tdata__________[".tableType"] = "chart";

$tdata__________[".printerPageOrientation"] = 0;
$tdata__________[".nPrinterPageScale"] = 100;

$tdata__________[".nPrinterSplitRecords"] = 40;

$tdata__________[".geocodingEnabled"] = false;



// chart settings
$tdata__________[".chartType"] = "2DColumn";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata__________[".strOrderBy"] = $tstrOrderBy;

$tdata__________[".orderindexes"] = array();


$tdata__________[".sqlHead"] = "SELECT CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$tdata__________[".sqlFrom"] = "FROM statistics_all";
$tdata__________[".sqlWhereExpr"] = "";
$tdata__________[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata__________[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata__________[".arrGroupsPerPage"] = $arrGPP;

$tdata__________[".highlightSearchResults"] = true;

$tableKeys__________ = array();
$tdata__________[".Keys"] = $tableKeys__________;


$tdata__________[".hideMobileList"] = array();




//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("__________","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________["CountOfnumPers"] = $fdata;
		$tdata__________[".searchableFields"][] = "CountOfnumPers";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("__________","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________["total"] = $fdata;
		$tdata__________[".searchableFields"][] = "total";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("__________","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________["percentage"] = $fdata;
		$tdata__________[".searchableFields"][] = "percentage";
//	ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ma3";
	$fdata["GoodName"] = "ma3";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("__________","ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________["ma3"] = $fdata;
		$tdata__________[".searchableFields"][] = "ma3";
//	dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "dod";
	$fdata["GoodName"] = "dod";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("__________","dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________["dod"] = $fdata;
		$tdata__________[".searchableFields"][] = "dod";
//	tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "tachkil";
	$fdata["GoodName"] = "tachkil";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("__________","tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________["tachkil"] = $fdata;
		$tdata__________[".searchableFields"][] = "tachkil";
//	majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "majhoul";
	$fdata["GoodName"] = "majhoul";
	$fdata["ownerTable"] = "statistics_all";
	$fdata["Label"] = GetFieldLabel("__________","majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________["majhoul"] = $fdata;
		$tdata__________[".searchableFields"][] = "majhoul";

$tdata__________[".chartLabelField"] = "CountOfnumPers";
$tdata__________[".chartSeries"] = array();
$tdata__________[".chartSeries"][] = array( 
	"field" => "majhoul",
	"total" => ""
);
$tdata__________[".chartSeries"][] = array( 
	"field" => "tachkil",
	"total" => ""
);
$tdata__________[".chartSeries"][] = array( 
	"field" => "dod",
	"total" => ""
);
$tdata__________[".chartSeries"][] = array( 
	"field" => "ma3",
	"total" => ""
);
$tdata__________[".chartSeries"][] = array( 
	"field" => "percentage",
	"total" => ""
);
	$tdata__________[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">كل المناطق</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdata__________[".chartXml"] .= '<attr value="0">
			<attr value="name">majhoul</attr>';
	$tdata__________[".chartXml"] .= '</attr>';
	$tdata__________[".chartXml"] .= '<attr value="1">
			<attr value="name">tachkil</attr>';
	$tdata__________[".chartXml"] .= '</attr>';
	$tdata__________[".chartXml"] .= '<attr value="2">
			<attr value="name">dod</attr>';
	$tdata__________[".chartXml"] .= '</attr>';
	$tdata__________[".chartXml"] .= '<attr value="3">
			<attr value="name">ma3</attr>';
	$tdata__________[".chartXml"] .= '</attr>';
	$tdata__________[".chartXml"] .= '<attr value="4">
			<attr value="name">percentage</attr>';
	$tdata__________[".chartXml"] .= '</attr>';
	$tdata__________[".chartXml"] .= '<attr value="5">
		<attr value="name">CountOfnumPers</attr>
	</attr>';
	$tdata__________[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata__________[".chartXml"] .= '<attr value="head">'.xmlencode("كل المناطق").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdata__________[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata__________[".chartXml"] .= '<attr value="0">
		<attr value="name">CountOfnumPers</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________","CountOfnumPers")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________[".chartXml"] .= '<attr value="1">
		<attr value="name">total</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________","total")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________[".chartXml"] .= '<attr value="2">
		<attr value="name">percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________","percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________[".chartXml"] .= '<attr value="3">
		<attr value="name">ma3</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________","ma3")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________[".chartXml"] .= '<attr value="4">
		<attr value="name">dod</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________","dod")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________[".chartXml"] .= '<attr value="5">
		<attr value="name">tachkil</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________","tachkil")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________[".chartXml"] .= '<attr value="6">
		<attr value="name">majhoul</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________","majhoul")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata__________[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">كل المناطق</attr>
<attr value="short_table_name">__________</attr>
</attr>

</chart>';

$tables_data["كل المناطق"]=&$tdata__________;
$field_labels["__________"] = &$fieldLabels__________;
$fieldToolTips["__________"] = &$fieldToolTips__________;
$placeHolders["__________"] = &$placeHolders__________;
$page_titles["__________"] = &$pageTitles__________;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["كل المناطق"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["كل المناطق"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery___________()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$proto0["m_strFrom"] = "FROM statistics_all";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "كل المناطق"
));

$proto6["m_sql"] = "CountOfnumPers";
$proto6["m_srcTableName"] = "كل المناطق";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "كل المناطق"
));

$proto8["m_sql"] = "total";
$proto8["m_srcTableName"] = "كل المناطق";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "كل المناطق"
));

$proto10["m_sql"] = "percentage";
$proto10["m_srcTableName"] = "كل المناطق";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "ma3",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "كل المناطق"
));

$proto12["m_sql"] = "ma3";
$proto12["m_srcTableName"] = "كل المناطق";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "dod",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "كل المناطق"
));

$proto14["m_sql"] = "dod";
$proto14["m_srcTableName"] = "كل المناطق";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "tachkil",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "كل المناطق"
));

$proto16["m_sql"] = "tachkil";
$proto16["m_srcTableName"] = "كل المناطق";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "majhoul",
	"m_strTable" => "statistics_all",
	"m_srcTableName" => "كل المناطق"
));

$proto18["m_sql"] = "majhoul";
$proto18["m_srcTableName"] = "كل المناطق";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "statistics_all";
$proto21["m_srcTableName"] = "كل المناطق";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "CountOfnumPers";
$proto21["m_columns"][] = "total";
$proto21["m_columns"][] = "percentage";
$proto21["m_columns"][] = "ma3";
$proto21["m_columns"][] = "dod";
$proto21["m_columns"][] = "tachkil";
$proto21["m_columns"][] = "majhoul";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "statistics_all";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "كل المناطق";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="كل المناطق";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData___________ = createSqlQuery___________();


	
		;

							

$tdata__________[".sqlquery"] = $queryData___________;



$tableEvents["كل المناطق"] = new eventsBase;
$tdata__________[".hasEvents"] = false;

?>